Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5549)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5550)
@@ -1202,213 +1263,221 @@
     @Test
     public void testUpdatePrivateComponent() throws Exception {
-        
+
+        System.out.println("testUpdatePrivateComponent");
+
         fillUpPrivateItems();
-        
-	List<ComponentDescription> components = getUserComponents();
-	assertEquals("user registered components", 1, components.size());
-	assertEquals("public registered components", 0, getPublicComponents()
-		.size());
-        
+
+        List<ComponentDescription> components = getUserComponents();
+        assertEquals("user registered components", 1, components.size());
+        assertEquals("public registered components", 0, getPublicComponents()
+                .size());
+
         // first, post a component to update
-	FormDataMultiPart form = createFormData(RegistryTestHelper
-		.getComponentTestContent());
-	ClientResponse cResponse = getAuthenticatedResource(getResource().path("/registry/components")).type(
-		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
-	assertEquals(ClientResponse.Status.OK.getStatusCode(),
-		cResponse.getStatus());
-	RegisterResponse response = cResponse.getEntity(RegisterResponse.class);
-	assertTrue(response.isRegistered());
-	assertFalse(response.isProfile());
-	assertTrue(response.isInUserSpace());
-	ComponentDescription desc = (ComponentDescription) response
-		.getDescription();
-	assertNotNull(desc);
-	assertEquals("Test1", desc.getName());
-	assertEquals("My Test", desc.getDescription());
-	Date firstDate = desc.getRegistrationDate();
-	CMDComponentSpec spec = getUserComponent(desc);
-	assertNotNull(spec);
-	assertEquals("Access", spec.getCMDComponent().getName());
-	components = getUserComponents();
-	assertEquals(2, components.size());
-	assertEquals(0, getPublicComponents().size());
-
-	// second, now update
-	form = createFormData(
-		RegistryTestHelper.getComponentTestContentAsStream("TESTNAME"),
-		"UPDATE DESCRIPTION!");
-	cResponse = getAuthenticatedResource(getResource().path(
-			"/registry/components/" + desc.getId() + "/update")
-			.queryParam(REGISTRY_SPACE_PARAM, "private")).type(
-		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
-	assertEquals(ClientResponse.Status.OK.getStatusCode(),
-		cResponse.getStatus());
-	response = cResponse.getEntity(RegisterResponse.class);
-	assertTrue(response.isRegistered());
-	assertFalse(response.isProfile());
-	assertTrue(response.isInUserSpace());
-	desc = (ComponentDescription) response.getDescription();
-	assertNotNull(desc);
-	assertEquals("Test1", desc.getName());
-	assertEquals("UPDATE DESCRIPTION!", desc.getDescription());
-	Date secondDate = desc.getRegistrationDate();
-	assertTrue(firstDate.before(secondDate) || firstDate.equals(secondDate));
-
-	spec = getUserComponent(desc);
-	assertNotNull(spec);
-	assertEquals("TESTNAME", spec.getCMDComponent().getName());
-	components = getUserComponents();
-	assertEquals(2, components.size());
-	assertEquals(0, getPublicComponents().size());
+        FormDataMultiPart form = createFormData(RegistryTestHelper
+                .getComponentTestContent());
+        ClientResponse cResponse = getAuthenticatedResource(getResource().path("/registry/components")).type(
+                MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
+        assertEquals(ClientResponse.Status.OK.getStatusCode(),
+                cResponse.getStatus());
+        RegisterResponse response = cResponse.getEntity(RegisterResponse.class);
+        assertTrue(response.isRegistered());
+        assertFalse(response.isProfile());
+        assertTrue(response.isInUserSpace());
+        ComponentDescription desc = (ComponentDescription) response
+                .getDescription();
+        assertNotNull(desc);
+        assertEquals("Test1", desc.getName());
+        assertEquals("My Test", desc.getDescription());
+        Date firstDate = desc.getRegistrationDate();
+        CMDComponentSpec spec = getUserComponent(desc);
+        assertNotNull(spec);
+        assertEquals("Access", spec.getCMDComponent().getName());
+        components = getUserComponents();
+        assertEquals(2, components.size());
+        assertEquals(0, getPublicComponents().size());
+
+        // second, now update
+        form = createFormData(
+                RegistryTestHelper.getComponentTestContentAsStream("TESTNAME"),
+                "UPDATE DESCRIPTION!");
+        cResponse = getAuthenticatedResource(getResource().path(
+                "/registry/components/" + desc.getId() + "/update")
+                .queryParam(REGISTRY_SPACE_PARAM, "private")).type(
+                MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
+        assertEquals(ClientResponse.Status.OK.getStatusCode(),
+                cResponse.getStatus());
+        response = cResponse.getEntity(RegisterResponse.class);
+        assertTrue(response.isRegistered());
+        assertFalse(response.isProfile());
+        assertTrue(response.isInUserSpace());
+        desc = (ComponentDescription) response.getDescription();
+        assertNotNull(desc);
+        assertEquals("Test1", desc.getName());
+        assertEquals("UPDATE DESCRIPTION!", desc.getDescription());
+        Date secondDate = desc.getRegistrationDate();
+        assertTrue(firstDate.before(secondDate) || firstDate.equals(secondDate));
+
+        spec = getUserComponent(desc);
+        assertNotNull(spec);
+        assertEquals("TESTNAME", spec.getCMDComponent().getName());
+        components = getUserComponents();
+        assertEquals(2, components.size());
+        assertEquals(0, getPublicComponents().size());
     }
 
     @Test
     public void testUpdatePrivateProfile() throws Exception {
-        
+
+        System.out.println("testUpdatePrivateProfile");
+
         fillUpPrivateItems();
-        
-	List<ProfileDescription> profiles = getUserProfiles();
-	assertEquals(1, profiles.size());
-	assertEquals(0, getPublicProfiles().size());
-
-	FormDataMultiPart form = createFormData(RegistryTestHelper
-		.getTestProfileContent());
-	ClientResponse cResponse = getAuthenticatedResource(getResource().path("/registry/profiles")).type(
-		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
-	assertEquals(ClientResponse.Status.OK.getStatusCode(),
-		cResponse.getStatus());
-	RegisterResponse response = cResponse.getEntity(RegisterResponse.class);
-	assertTrue(response.isRegistered());
-	assertTrue(response.isProfile());
-	assertTrue(response.isInUserSpace());
-	ProfileDescription desc = (ProfileDescription) response
-		.getDescription();
-	assertNotNull(desc);
-	assertEquals("Test1", desc.getName());
-	assertEquals("My Test", desc.getDescription());
-	assertEquals("TestGroup", desc.getGroupName());
-	Date firstDate = desc.getRegistrationDate();
-	CMDComponentSpec spec = getUserProfile(desc);
-	assertNotNull(spec);
-	assertEquals("Actor", spec.getCMDComponent().getName());
-	profiles = getUserProfiles();
-	assertEquals(2, profiles.size());
-	assertEquals(0, getPublicComponents().size());
-
-	// Now update
-	form = createFormData(
-		RegistryTestHelper.getTestProfileContent("TESTNAME"),
-		"UPDATE DESCRIPTION!");
-	cResponse = getAuthenticatedResource(getResource().path(
-			"/registry/profiles/" + desc.getId() + "/update")).type(
-		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
-	assertEquals(ClientResponse.Status.OK.getStatusCode(),
-		cResponse.getStatus());
-	response = cResponse.getEntity(RegisterResponse.class);
-	assertTrue(response.isRegistered());
-	assertTrue(response.isProfile());
-	assertTrue(response.isInUserSpace());
-	desc = (ProfileDescription) response.getDescription();
-	assertNotNull(desc);
-	assertEquals("Test1", desc.getName());
-	assertEquals("UPDATE DESCRIPTION!", desc.getDescription());
-	Date secondDate = desc.getRegistrationDate();
-	assertTrue(firstDate.before(secondDate) || firstDate.equals(secondDate));
-
-	spec = getUserProfile(desc);
-	assertNotNull(spec);
-	assertEquals("TESTNAME", spec.getCMDComponent().getName());
-	profiles = getUserProfiles();
-	assertEquals(2, profiles.size());
-	assertEquals(0, getPublicComponents().size());
+
+        List<ProfileDescription> profiles = getUserProfiles();
+        assertEquals(1, profiles.size());
+        assertEquals(0, getPublicProfiles().size());
+
+        FormDataMultiPart form = createFormData(RegistryTestHelper
+                .getTestProfileContent());
+        ClientResponse cResponse = getAuthenticatedResource(getResource().path("/registry/profiles")).type(
+                MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
+        assertEquals(ClientResponse.Status.OK.getStatusCode(),
+                cResponse.getStatus());
+        RegisterResponse response = cResponse.getEntity(RegisterResponse.class);
+        assertTrue(response.isRegistered());
+        assertTrue(response.isProfile());
+        assertTrue(response.isInUserSpace());
+        ProfileDescription desc = (ProfileDescription) response
+                .getDescription();
+        assertNotNull(desc);
+        assertEquals("Test1", desc.getName());
+        assertEquals("My Test", desc.getDescription());
+        assertEquals("TestGroup", desc.getGroupName());
+        Date firstDate = desc.getRegistrationDate();
+        CMDComponentSpec spec = getUserProfile(desc);
+        assertNotNull(spec);
+        assertEquals("Actor", spec.getCMDComponent().getName());
+        profiles = getUserProfiles();
+        assertEquals(2, profiles.size());
+        assertEquals(0, getPublicComponents().size());
+
+        // Now update
+        form = createFormData(
+                RegistryTestHelper.getTestProfileContent("TESTNAME"),
+                "UPDATE DESCRIPTION!");
+        cResponse = getAuthenticatedResource(getResource().path(
+                "/registry/profiles/" + desc.getId() + "/update")).type(
+                MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
+        assertEquals(ClientResponse.Status.OK.getStatusCode(),
+                cResponse.getStatus());
+        response = cResponse.getEntity(RegisterResponse.class);
+        assertTrue(response.isRegistered());
+        assertTrue(response.isProfile());
+        assertTrue(response.isInUserSpace());
+        desc = (ProfileDescription) response.getDescription();
+        assertNotNull(desc);
+        assertEquals("Test1", desc.getName());
+        assertEquals("UPDATE DESCRIPTION!", desc.getDescription());
+        Date secondDate = desc.getRegistrationDate();
+        assertTrue(firstDate.before(secondDate) || firstDate.equals(secondDate));
+
+        spec = getUserProfile(desc);
+        assertNotNull(spec);
+        assertEquals("TESTNAME", spec.getCMDComponent().getName());
+        profiles = getUserProfiles();
+        assertEquals(2, profiles.size());
+        assertEquals(0, getPublicComponents().size());
     }
 
     private CMDComponentSpec getUserComponent(ComponentDescription desc) {
-	return getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId())
-			.queryParam(REGISTRY_SPACE_PARAM, "private")).accept(
-		MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
+        return getAuthenticatedResource(getResource().path("/registry/components/" + desc.getId())
+                .queryParam(REGISTRY_SPACE_PARAM, "private")).accept(
+                MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
     }
 
     private CMDComponentSpec getUserProfile(ProfileDescription desc) {
-	return getAuthenticatedResource(getResource().path("/registry/profiles/" + desc.getId())
-			.queryParam(REGISTRY_SPACE_PARAM, "private")).accept(
-		MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
+        return getAuthenticatedResource(getResource().path("/registry/profiles/" + desc.getId())
+                .queryParam(REGISTRY_SPACE_PARAM, "private")).accept(
+                MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
     }
 
     private List<ComponentDescription> getPublicComponents() {
-	return getAuthenticatedResource("/registry/components").accept(
-		MediaType.APPLICATION_XML).get(COMPONENT_LIST_GENERICTYPE);
+        return getAuthenticatedResource("/registry/components").accept(
+                MediaType.APPLICATION_XML).get(COMPONENT_LIST_GENERICTYPE);
     }
 
     private List<ComponentDescription> getUserComponents() {
-	return getAuthenticatedResource(getResource().path("/registry/components").queryParam(
-			REGISTRY_SPACE_PARAM, "private")).accept(
-		MediaType.APPLICATION_XML).get(COMPONENT_LIST_GENERICTYPE);
+        return getAuthenticatedResource(getResource().path("/registry/components").queryParam(
+                REGISTRY_SPACE_PARAM, "private")).accept(
+                MediaType.APPLICATION_XML).get(COMPONENT_LIST_GENERICTYPE);
     }
 
     @Test
     public void testRegisterComponent() throws Exception {
-        
+
+        System.out.println("testRegisterComponent");
+
         fillUpPrivateItems();
-        
-	FormDataMultiPart form = new FormDataMultiPart();
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getComponentTestContent(),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
-		"ComponentTest1");
-	form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
-		"My Test Component");
-	form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
-		"TestDomain");
-	form.field(IComponentRegistryRestService.GROUP_FORM_FIELD, "TestGroup");
-	RegisterResponse response = getAuthenticatedResource(
-		"/registry/components").type(MediaType.MULTIPART_FORM_DATA)
-		.post(RegisterResponse.class, form);
-	assertTrue(response.isRegistered());
-	assertFalse(response.isProfile());
-	assertTrue(response.isInUserSpace());
-	ComponentDescription desc = (ComponentDescription) response
-		.getDescription();
-	assertNotNull(desc);
-	assertEquals("ComponentTest1", desc.getName());
-	assertEquals("My Test Component", desc.getDescription());
-	assertEquals(expectedUserId("JUnit@test.com"), desc.getUserId());
-	assertEquals("Database test user", desc.getCreatorName());
-	assertEquals("TestGroup", desc.getGroupName());
-	assertEquals("TestDomain", desc.getDomainName());
-	assertTrue(desc.getId()
-		.startsWith(ComponentRegistry.REGISTRY_ID + "c_"));
-	assertNotNull(desc.getRegistrationDate());
-	String url = getResource().getUriBuilder().build().toString();
-	assertEquals(url + "registry/components/" + desc.getId(),
-		desc.getHref());
+
+        FormDataMultiPart form = new FormDataMultiPart();
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getComponentTestContent(),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
+                "ComponentTest1");
+        form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
+                "My Test Component");
+        form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD,
+                "TestDomain");
+        form.field(IComponentRegistryRestService.GROUP_FORM_FIELD, "TestGroup");
+        RegisterResponse response = getAuthenticatedResource(
+                "/registry/components").type(MediaType.MULTIPART_FORM_DATA)
+                .post(RegisterResponse.class, form);
+        assertTrue(response.isRegistered());
+        assertFalse(response.isProfile());
+        assertTrue(response.isInUserSpace());
+        ComponentDescription desc = (ComponentDescription) response
+                .getDescription();
+        assertNotNull(desc);
+        assertEquals("ComponentTest1", desc.getName());
+        assertEquals("My Test Component", desc.getDescription());
+        assertEquals(expectedUserId("JUnit@test.com"), desc.getUserId());
+        assertEquals("Database test user", desc.getCreatorName());
+        assertEquals("TestGroup", desc.getGroupName());
+        assertEquals("TestDomain", desc.getDomainName());
+        assertTrue(desc.getId()
+                .startsWith(ComponentRegistry.REGISTRY_ID + "c_"));
+        assertNotNull(desc.getRegistrationDate());
+        String url = getResource().getUriBuilder().build().toString();
+        assertEquals(url + "registry/components/" + desc.getId(),
+                desc.getHref());
     }
 
     @Test
     public void testRegisterComment() throws Exception {
-        
-        fillUpPublicItems();
-        
-	FormDataMultiPart form = new FormDataMultiPart();
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getCommentTestContent(),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
-	CommentResponse response = getAuthenticatedResource(
-		"/registry/profiles/" + id + "/comments").type(
-		MediaType.MULTIPART_FORM_DATA)
-		.post(CommentResponse.class, form);
-	assertTrue(response.isRegistered());
-	assertFalse(response.isInUserSpace());
-	Comment comment = response.getComment();
-	assertNotNull(comment);
-	assertEquals("Actual", comment.getComment());
-	assertEquals("Database test user", comment.getUserName());
-	Assert.notNull(comment.getCommentDate());
-	Assert.hasText(comment.getId());
-
-	// User id should not be serialized!
-	assertEquals(0, comment.getUserId());
+
+        System.out.println("testRegisterComponent");
+
+        fillUpPublicItems();
+
+        FormDataMultiPart form = new FormDataMultiPart();
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getCommentTestContent(),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        String id = ProfileDescription.PROFILE_PREFIX + "profile1";
+        CommentResponse response = getAuthenticatedResource(
+                "/registry/profiles/" + id + "/comments").type(
+                MediaType.MULTIPART_FORM_DATA)
+                .post(CommentResponse.class, form);
+        assertTrue(response.isRegistered());
+        assertFalse(response.isInUserSpace());
+        Comment comment = response.getComment();
+        assertNotNull(comment);
+        assertEquals("Actual", comment.getComment());
+        assertEquals("Database test user", comment.getUserName());
+        Assert.notNull(comment.getCommentDate());
+        Assert.hasText(comment.getId());
+
+        // User id should not be serialized!
+        assertEquals(0, comment.getUserId());
     }
 
@@ -1416,51 +1485,55 @@
     public void testRegisterCommentToNonExistent() throws Exception {
         fillUpPublicItems();
-        
-	FormDataMultiPart form = new FormDataMultiPart();
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getCommentTestContent(),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	ClientResponse cResponse = getAuthenticatedResource(
-		"/registry/profiles/clarin.eu:cr1:profile99/comments").type(
-		MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
-	assertEquals(404, cResponse.getStatus());
+
+        FormDataMultiPart form = new FormDataMultiPart();
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getCommentTestContent(),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        ClientResponse cResponse = getAuthenticatedResource(
+                "/registry/profiles/clarin.eu:cr1:profile99/comments").type(
+                MediaType.MULTIPART_FORM_DATA).post(ClientResponse.class, form);
+        assertEquals(404, cResponse.getStatus());
     }
 
     @Test
     public void testRegisterCommentUnauthenticated() throws Exception {
-        fillUpPublicItems();
-        
-	FormDataMultiPart form = new FormDataMultiPart();
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		RegistryTestHelper.getCommentTestContent(),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	ClientResponse cResponse = getResource()
-		.path("/registry/profiles/clarin.eu:cr1:profile1/comments")
-		.type(MediaType.MULTIPART_FORM_DATA)
-		.post(ClientResponse.class, form);
-	assertEquals(401, cResponse.getStatus());
+
+        System.out.println("testREgisterCommentUnauthentified");
+
+        fillUpPublicItems();
+
+        FormDataMultiPart form = new FormDataMultiPart();
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                RegistryTestHelper.getCommentTestContent(),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        ClientResponse cResponse = getResource()
+                .path("/registry/profiles/clarin.eu:cr1:profile1/comments")
+                .type(MediaType.MULTIPART_FORM_DATA)
+                .post(ClientResponse.class, form);
+        assertEquals(401, cResponse.getStatus());
     }
 
     @Test
     public void testRegisterProfileInvalidData() throws Exception {
+        System.out.println("testRegisterProfileInvalidData");
         fillUpPrivateItems();
-	FormDataMultiPart form = new FormDataMultiPart();
-	String notAValidProfile = "<CMD_ComponentSpec> </CMD_ComponentSpec>";
-	form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
-		new ByteArrayInputStream(notAValidProfile.getBytes()),
-		MediaType.APPLICATION_OCTET_STREAM_TYPE);
-	form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
-		"ProfileTest1");
-	form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD, "Domain");
-	form.field(IComponentRegistryRestService.GROUP_FORM_FIELD, "Group");
-	form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
-		"My Test Profile");
-	RegisterResponse postResponse = getAuthenticatedResource(
-		"/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
-		RegisterResponse.class, form);
-	assertTrue(postResponse.isProfile());
-	assertFalse(postResponse.isRegistered());
-	assertEquals(1, postResponse.getErrors().size());
-	assertTrue(postResponse.getErrors().get(0).contains("isProfile"));
+        FormDataMultiPart form = new FormDataMultiPart();
+        String notAValidProfile = "<CMD_ComponentSpec> </CMD_ComponentSpec>";
+        form.field(IComponentRegistryRestService.DATA_FORM_FIELD,
+                new ByteArrayInputStream(notAValidProfile.getBytes()),
+                MediaType.APPLICATION_OCTET_STREAM_TYPE);
+        form.field(IComponentRegistryRestService.NAME_FORM_FIELD,
+                "ProfileTest1");
+        form.field(IComponentRegistryRestService.DOMAIN_FORM_FIELD, "Domain");
+        form.field(IComponentRegistryRestService.GROUP_FORM_FIELD, "Group");
+        form.field(IComponentRegistryRestService.DESCRIPTION_FORM_FIELD,
+                "My Test Profile");
+        RegisterResponse postResponse = getAuthenticatedResource(
+                "/registry/profiles").type(MediaType.MULTIPART_FORM_DATA).post(
+                RegisterResponse.class, form);
+        assertTrue(postResponse.isProfile());
+        assertFalse(postResponse.isRegistered());
+        assertEquals(1, postResponse.getErrors().size());
+        assertTrue(postResponse.getErrors().get(0).contains("isProfile"));
     }
 
